Unit tadb1r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, ADB1R_p;

function tadb1r: String; 

implementation

function tadb1r: String;
var
MA,N,I,J,ML,MU,J0,J1,K,IERR :Integer;
E,DET1,DET2,RCOND :Real;
A :Array [0..24] of Real;
Z :Array [0..4] of Real;
NLEAD :Array [0..4] of Integer;
label
_2,_1,_3,_4;
begin
Result := '';
MA := 5;
N := 5;
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    A[(I-1)+(J-1)*5] := 0.0;
_2:
   end;
_1:
 end;
ML := 1;
MU := 1;
for I:=1 to MA do
 begin
  J0 := Max0(1,I-ML);
  J1 := Min0(N,I+MU);
  for J:=J0 to J1 do
   begin
    K := J-I+ML+1;
    A[(I-1)+(K-1)*5] := (I*10+J);
_3:
   end;
_4:
 end;
Result := Result + Format('%s',[' A=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to MA do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ADB1R(A,MA,N,ML,MU,NLEAD,DET1,DET2,RCOND,Z,IERR);
Result := Result + Format('%s',['   NLEAD=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('%3d',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' A=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to MA do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['     RCOND=']);
Result := Result + Format('%20.16f',[RCOND]) + #$0D#$0A;
Result := Result + Format('%s',['   DET1=']);
Result := Result + Format('%20.16f',[DET1]) + #$0D#$0A;
Result := Result + Format('%s',['   DET2=']);
Result := Result + Format('%20.16f',[DET2]) + #$0D#$0A;
UtRes('tadb1r',Result);  {     tadb1r.res }
exit;
end;

end.
